#ifndef HOGWASH_CONTROL_H
#define HOGWASH_CONTROL_H

#include "../common/control-common.h"
#include "../common/allcrypto.h"
#include "hogwash.h"

#define MAX_BUFFERS	64

typedef struct xfer_buffer{
	unsigned int	BuffID;
	int				BuffType;
	char 			FName[1024];
	int				Version;		/*For those buffers that need it*/
	long			DestroyTime;
	char			InUse;
} XBuff;

XBuff	Buffers[MAX_BUFFERS];

struct control_vars{
	int		UseControl;
	char	ConfigFileName[1024];
};

struct control_vars	CV;

void control_init(int argc, char* argv[]);
int control_func(PacketToProcess* ptp, int Span);


#endif
