#include "spo_alert_scrub.h"

int FilterThis;
int Ignore;

void SetupScrubAlert(){
	RegisterOutputPlugin("scrub_alert", NT_OUTPUT_ALERT, ScrubAlertInit);
}

void ScrubAlertInit(unsigned char* args){
	int arg_log;
	
	pv.alert_plugin_active =1;
	arg_log=atoi(args);
	AddFuncToOutputList(SpoScrubAlert, NT_OUTPUT_ALERT, (void*)arg_log);
}

void SpoScrubAlert(Packet *p , char *msg, void *arg, Event* event){
	char message[4096];
	int	arg_log;

	arg_log=(int)arg;
	FilterThis=TRUE;
	if (arg_log==0){
	  snprintf(message,4096, "Packet Dropped-%s",msg);
	  CallAlertFuncs(p, message, NULL, event);
	  CallLogFuncs(p, message, NULL, event);
	}  

	if (arg_log==2){
                Ignore=TRUE;}

}
