/*             
** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
** Copyright (C) 2000,2001 Andrew R. Baker <andrewb@uab.edu>
**             
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**     
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/  

/* $Id: parser.h,v 1.1.1.1 2002/05/13 21:16:51 anonpoet Exp $ */

/*  I N C L U D E S  **********************************************************/
#include "snort.h"

/*  D E F I N E S  ************************************************************/
#ifndef __PARSER_H__
#define __PARSER_H__

/* parsing functions */ 
void ProcessAlertFileOption(char *);
char *ProcessFileOption(char *);
void ParseConfig(char *);
void ParseRuleTypeDeclaration(FILE*, char *);
void ParseDeclaredRuleType(char *);
/*void ParseClassificationConfig(char *); */
char *ReadLine(FILE *);
int checkKeyowrd(char *);

#endif /* __PARSER_H__ */

